# Uses of Interface
org.springframework.cglib.core.ClassGenerator

Packages that use ClassGenerator
Package
Description
org.springframework.cglib.beans
Spring's repackaging of the CGLIB beans package (for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.proxy
Spring's repackaging of the CGLIB proxy package (for internal use only).
org.springframework.cglib.reflect
Spring's repackaging of the CGLIB reflect package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).
org.springframework.cglib.transform.impl
Spring's repackaging of the CGLIB transform impl package (for internal use only).
org.springframework.cglib.util
Spring's repackaging of the CGLIB util package (for internal use only).

## Uses of ClassGenerator in org.springframework.cglib.beans

Classes in org.springframework.cglib.beans that implement ClassGenerator
Modifier and Type
Class
Description
`static class`
`BeanCopier.Generator`
`class`
`BeanGenerator`
`static class`
`BeanMap.Generator`
`static class`
`BulkBean.Generator`
`static class`
`ImmutableBean.Generator`

## Uses of ClassGenerator in org.springframework.cglib.core

Classes in org.springframework.cglib.core that implement ClassGenerator
Modifier and Type
Class
Description
`class`
`AbstractClassGenerator<T>`
Abstract class for all code-generating CGLIB utilities.
`static class`
`KeyFactory.Generator`
Methods in org.springframework.cglib.core that return ClassGenerator
Modifier and Type
Method
Description
`protected ClassGenerator`
DefaultGeneratorStrategy.`transform(ClassGenerator cg)`
Methods in org.springframework.cglib.core with parameters of type ClassGenerator
Modifier and Type
Method
Description
`byte[]`
ClassLoaderAwareGeneratorStrategy.`generate(ClassGenerator cg)`
`byte[]`
DefaultGeneratorStrategy.`generate(ClassGenerator cg)`
`byte[]`
GeneratorStrategy.`generate(ClassGenerator cg)`
Generate the class.
`protected ClassGenerator`
DefaultGeneratorStrategy.`transform(ClassGenerator cg)`

## Uses of ClassGenerator in org.springframework.cglib.proxy

Classes in org.springframework.cglib.proxy that implement ClassGenerator
Modifier and Type
Class
Description
`class`
`Enhancer`
Generates dynamic subclasses to enable method interception.
`class`
`InterfaceMaker`
Generates new interfaces at runtime.
`static class`
`Mixin.Generator`

## Uses of ClassGenerator in org.springframework.cglib.reflect

Classes in org.springframework.cglib.reflect that implement ClassGenerator
Modifier and Type
Class
Description
`static class`
`ConstructorDelegate.Generator`
`static class`
`FastClass.Generator`
`static class`
`MethodDelegate.Generator`
`static class`
`MulticastDelegate.Generator`

## Uses of ClassGenerator in org.springframework.cglib.transform

Classes in org.springframework.cglib.transform that implement ClassGenerator
Modifier and Type
Class
Description
`class`
`ClassReaderGenerator`
`class`
`TransformingClassGenerator`
Methods in org.springframework.cglib.transform that return ClassGenerator
Modifier and Type
Method
Description
`protected ClassGenerator`
AbstractClassLoader.`getGenerator(ClassReader r)`
`protected ClassGenerator`
TransformingClassLoader.`getGenerator(ClassReader r)`
Constructors in org.springframework.cglib.transform with parameters of type ClassGenerator
Modifier
Constructor
Description
``
`TransformingClassGenerator(ClassGenerator gen, ClassTransformer t)`

## Uses of ClassGenerator in org.springframework.cglib.transform.impl

Methods in org.springframework.cglib.transform.impl that return ClassGenerator
Modifier and Type
Method
Description
`protected ClassGenerator`
UndeclaredThrowableStrategy.`transform(ClassGenerator cg)`
Methods in org.springframework.cglib.transform.impl with parameters of type ClassGenerator
Modifier and Type
Method
Description
`protected ClassGenerator`
UndeclaredThrowableStrategy.`transform(ClassGenerator cg)`

## Uses of ClassGenerator in org.springframework.cglib.util

Classes in org.springframework.cglib.util that implement ClassGenerator
Modifier and Type
Class
Description
`static class`
`ParallelSorter.Generator`
`static class`
`StringSwitcher.Generator`